Workaround removed support for 2to3 in python3-setuptools v58.0.0

--- a/stsci/distutils/command/build_optional_ext.py
+++ b/stsci/distutils/command/build_optional_ext.py
@@ -3,7 +3,7 @@ from distutils.command.build_ext import build_ext
 from distutils.errors import DistutilsError, CCompilerError, CompileError
 from distutils.util import strtobool
 
-from ConfigParser import ConfigParser
+from configparser import ConfigParser
 
 
 class build_optional_ext(build_ext):
@@ -33,7 +33,7 @@ class build_optional_ext(build_ext):
         cfg = ConfigParser()
         try:
             cfg.read('setup.cfg')
-        except Exception, e:
+        except Exception as e:
             log.warn('Failed to read setup.cfg: %s; proceeding as though '
                      'there are no optional extensions' % e)
             return
@@ -75,7 +75,7 @@ class build_optional_ext(build_ext):
     def build_extension(self, ext):
         try:
             build_ext.build_extension(self, ext)
-        except (CCompilerError, DistutilsError, CompileError), e:
+        except (CCompilerError, DistutilsError, CompileError) as e:
             if not hasattr(ext, '_optional') or not ext._optional:
                 raise
             log.warn('building optional extension "%s" failed: %s' %
--- a/stsci/distutils/command/easier_install.py
+++ b/stsci/distutils/command/easier_install.py
@@ -1,7 +1,7 @@
 import os
 
 try:
-    from ConfigParser import ConfigParser
+    from configparser import ConfigParser
 except ImportError:
     # This is necessary for when stsci.distutils is being bootstrapped by other
     # setup.pys in stsci_python--otherwise the ConfigParser import would be
--- a/stsci/distutils/hooks.py
+++ b/stsci/distutils/hooks.py
@@ -1,4 +1,4 @@
-from __future__ import with_statement
+
 
 import datetime
 import glob
@@ -7,6 +7,7 @@ import string
 import sys
 
 from distutils import log
+import importlib
 
 
 try:
@@ -124,7 +125,7 @@ def use_packages_root(config):
                 pass
         else:
             try :
-                reload(sys.modules['stsci'])
+                importlib.reload(sys.modules['stsci'])
             except ImportError:
                 # doesn't seem to bother anything when this reload() fails
                 pass
@@ -452,7 +453,7 @@ def glob_data_files(command_obj):
     data_files = command_obj.data_files
 
     for idx, val in enumerate(data_files[:]):
-        if isinstance(val, basestring):
+        if isinstance(val, str):
             # Support the rare, deprecated case where just a filename is given
             filenames = glob.glob(val)
             del data_files[idx]
--- a/stsci/distutils/release.py
+++ b/stsci/distutils/release.py
@@ -6,7 +6,7 @@ import os
 import shutil
 import sys
 
-from ConfigParser import ConfigParser
+from configparser import ConfigParser
 
 from setuptools.dist import Distribution
 from zest.releaser.utils import ask
@@ -105,7 +105,7 @@ def add_to_stsci_package_index(data):
     answer = ''
     while not answer:
         try:
-            answer = raw_input(question).strip()
+            answer = input(question).strip()
             if not answer:
                 if package_path:
                     # The user simple pressed enter, so use the supplied
@@ -114,13 +114,13 @@ def add_to_stsci_package_index(data):
                 else:
                     continue
             if not os.path.exists(answer):
-                print ('The supplied path %s does not exist.  Please enter a '
-                       'different path or press Ctrl-C to cancel.' % answer)
+                print(('The supplied path %s does not exist.  Please enter a '
+                       'different path or press Ctrl-C to cancel.' % answer))
             if not os.access(answer, os.W_OK):
-                print ('The supplied path %s is not writeable.  Either change '
+                print(('The supplied path %s is not writeable.  Either change '
                        'the permissions of the directory or have someone '
                        'grant you access and try again, enter a different '
-                       'directory, or press Ctrl-C to cancel.' % answer)
+                       'directory, or press Ctrl-C to cancel.' % answer))
             package_path = answer
             break
             # The default was not supplied, so keep asking
@@ -141,15 +141,15 @@ def add_to_stsci_package_index(data):
                                                     '*.zip'))[0]
             except IndexError:
                 try:
-                    print (
+                    print((
                         "Could not find a source distribution in %s; did you "
                         "do a source checkout for upload?  If possible, try "
                         "to cd to %s and manually create a source "
                         "distribution by running `python setup.py sdist`.  "
                         "Then press enter to try again (or hit Ctrl-C to "
                         "cancel).  Go ahead, I'll wait..." %
-                        (data['tagdir'], data['tagdir']))
-                    raw_input()
+                        (data['tagdir'], data['tagdir'])))
+                    input()
                 except KeyboardInterrupt:
                     return
 
@@ -166,12 +166,12 @@ def add_to_stsci_package_index(data):
             dist.fetch_build_eggs(['basketweaver'])
         except:
             # There are so many things that could possibly go wrong here...
-            print ('Failed to get basketweaver, which is required to rebuild '
+            print(('Failed to get basketweaver, which is required to rebuild '
                    'the package index.  To manually complete the release, '
                    'install basketweaver manually, then copy %s into %s, cd '
                    'to %s, and then run `makeindex *`, where makeindex is the '
                    'command installed by basketweaver.' %
-                   (sdist_file, package_path, package_path))
+                   (sdist_file, package_path, package_path)))
         import basketweaver.makeindex
 
     # Now we should have everything we need...
@@ -183,4 +183,4 @@ def add_to_stsci_package_index(data):
     finally:
         os.chdir(old_cwd)
 
-    print 'Finished adding package to %s.' % PACKAGE_INDEX_URL
+    print('Finished adding package to %s.' % PACKAGE_INDEX_URL)
--- a/stsci/distutils/svnutils.py
+++ b/stsci/distutils/svnutils.py
@@ -1,7 +1,7 @@
 """Functions for getting and saving SVN info for distribution."""
 
 
-from __future__ import with_statement
+
 
 import os
 import subprocess
--- a/stsci/distutils/tests/__init__.py
+++ b/stsci/distutils/tests/__init__.py
@@ -7,6 +7,7 @@ import tempfile
 import nose
 
 from .util import reload, rmtree
+import importlib
 
 
 TESTPACKAGE_URL = ('https://svn.stsci.edu/svn/ssb/stsci_python/'
@@ -24,7 +25,7 @@ class StsciDistutilsTestCase(object):
                                   'checkout', TESTPACKAGE_URL, cls.wc_dir],
                                   stdout=subprocess.PIPE,
                                   stderr=subprocess.PIPE)
-        except OSError, e:
+        except OSError as e:
             raise nose.SkipTest('svn unavailable to checkout out test '
                                 'package: %s' % e)
 
@@ -48,7 +49,7 @@ class StsciDistutilsTestCase(object):
         # package's __path__ since it's already been imported.
         if 'stsci' in sys.modules:
             # Clean the existing __path__ up
-            reload(sys.modules['stsci'])
+            importlib.reload(sys.modules['stsci'])
             sys.modules['stsci'].__path__.insert(
                 0, os.path.join(self.package_dir, 'stsci'))
 
--- a/stsci/distutils/tests/test_commands.py
+++ b/stsci/distutils/tests/test_commands.py
@@ -1,4 +1,4 @@
-from __future__ import with_statement
+
 
 import os
 import sys
--- a/stsci/distutils/tests/test_hooks.py
+++ b/stsci/distutils/tests/test_hooks.py
@@ -1,4 +1,4 @@
-from __future__ import with_statement
+
 
 
 import glob
@@ -10,6 +10,7 @@ import zipfile
 
 from datetime import datetime
 from setuptools import Distribution
+import importlib
 
 try:
     import numpy
@@ -87,8 +88,8 @@ class TestHooks(StsciDistutilsTestCase):
         self.run_svn('add', 'TEST')
         # The working copy has been modified, so now svnversion (which is used
         # to generate __svn_revision__) should be the revision + 'M'
-        reload(stsci.testpackage.version)
-        reload(stsci.testpackage)
+        importlib.reload(stsci.testpackage.version)
+        importlib.reload(stsci.testpackage)
 
         assert stsci.testpackage.__svn_revision__ == TESTPACKAGE_REV + 'M'
 
@@ -111,8 +112,8 @@ class TestHooks(StsciDistutilsTestCase):
         time.sleep(1)
         self.run_setup('build')
 
-        reload(stsci.testpackage.version)
-        reload(stsci.testpackage)
+        importlib.reload(stsci.testpackage.version)
+        importlib.reload(stsci.testpackage)
 
         import stsci.testpackage
 
--- a/stsci/distutils/tests/util.py
+++ b/stsci/distutils/tests/util.py
@@ -1,4 +1,4 @@
-from __future__ import with_statement
+
 
 import contextlib
 import os
@@ -10,7 +10,7 @@ try:
 except NameError:
     from imp import reload
 
-from ConfigParser import ConfigParser
+from configparser import ConfigParser
 from distutils.ccompiler import new_compiler
 from distutils.msvccompiler import MSVCCompiler
 from distutils.sysconfig import customize_compiler
--- a/stsci/distutils/versionutils.py
+++ b/stsci/distutils/versionutils.py
@@ -5,7 +5,7 @@ info to version.py modules.
 """
 
 
-from __future__ import with_statement
+
 
 import datetime
 import os
